{
  pkgs,
  userName,
  ...
}: {
  # import sub modules
  imports = [
    ./atuin.nix
    ./shell.nix
    ./core.nix
    ./git.nix
    ./starship.nix
    ./eza.nix
    ./neovim.nix
    ./direnv.nix
  ];

  # Home Manager needs a bit of information about you and the
  # paths it should manage.
  home = {
    username = userName;
    homeDirectory =
      if pkgs.stdenv.isDarwin
      then "/Users/${userName}"
      else "/home/${userName}";
    stateVersion = "24.05";
  };

  # Let Home Manager install and manage itself.
  programs.home-manager.enable = true;
}
